TKN-TASKRUN-DELETE(1)

NAME

tkn-taskrun-delete - Delete TaskRuns in a namespace

SYNOPSIS

tkn taskrun delete

DESCRIPTION

Delete TaskRuns in a namespace

OPTIONS

--all[=false]
    Delete all TaskRuns in a namespace (default: false)

--allow-missing-template-keys[=true]
    If true, ignore any errors in templates when a field or map key is missing in the template. Only applies to golang and jsonpath output formats.

--clustertask=""
    The name of a ClusterTask whose TaskRuns should be deleted (does not delete the ClusterTask)

-f, --force[=false]
    Whether to force deletion (default: false)

-h, --help[=false]
    help for delete

--keep=0
    Keep n most recent number of TaskRuns

-o, --output=""
    Output format. One of: json|yaml|name|go-template|go-template-file|template|templatefile|jsonpath|jsonpath-as-json|jsonpath-file.

-t, --task=""
    The name of a Task whose TaskRuns should be deleted (does not delete the task)

--template=""
    Template string or path to template file to use when -o=go-template, -o=go-template-file. The template format is golang templates [ ⟨http://golang.org/pkg/text/template/#pkg-overview⟩].

OPTIONS INHERITED FROM PARENT COMMANDS

-c, --context=""
    name of the kubeconfig context to use (default: kubectl config current-context)

-k, --kubeconfig=""
    kubectl config file (default: $HOME/.kube/config)

-n, --namespace=""
    namespace to use (default: from $KUBECONFIG)

-C, --no-color[=false]
    disable coloring (default: false)

EXAMPLE

Delete TaskRuns with names 'foo' and 'bar' in namespace 'quux':

    tkn taskrun delete foo bar -n quux

or

    tkn tr rm foo bar -n quux

SEE ALSO

tkn-taskrun(1)